classification
Title: _asynciomodule.c compiled in both pythoncore.vcxproj and _asyncio.vcxproj
Type: enhancement Stage: resolved
Components: Build Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: indygreg, miss-islington, steve.dower
Priority: normal Keywords: patch, patch, patch, patch

Created on 2019-01-02 18:05 by indygreg, last changed 2019-02-03 01:02 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11410 merged python-dev, 2019-01-02 18:08
PR 11410 merged python-dev, 2019-01-02 18:08
PR 11410 merged python-dev, 2019-01-02 18:08
PR 11410 merged python-dev, 2019-01-02 18:08
PR 11747 merged miss-islington, 2019-02-03 00:27
PR 11747 merged miss-islington, 2019-02-03 00:27
PR 11747 merged miss-islington, 2019-02-03 00:27
Messages (3)
msg332887 - (view) Author: Gregory Szorc (indygreg) * Date: 2019-01-02 18:05
The _asynciomodule.c source file is compiled as part of both pythoncore.vcxproj (providing pythonXY.dll) and _asyncio.vcxproj (providing _asyncio.pyd).

PC\config.c doesn't reference PyInit__asyncio. I'm inclined to believe that _asynciomodule.c being built as part of pythoncore.vcxproj is a mistake.

If all goes according to plan, I will contribute my first CPython patch with a fix shortly...
msg333194 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-01-08 01:27
New changeset fbf50683b3a2301097d5cd48bc68b530c1e1720f by Steve Dower (Gregory Szorc) in branch 'master':
bpo-35642: Remove asynciomodule.c from pythoncore.vcxproj (GH-11410)
https://github.com/python/cpython/commit/fbf50683b3a2301097d5cd48bc68b530c1e1720f
msg334781 - (view) Author: miss-islington (miss-islington) Date: 2019-02-03 00:46
New changeset cba16b748c286261b5bc45e6ff3c26aea2373f43 by Miss Islington (bot) in branch '3.7':
bpo-35642: Remove asynciomodule.c from pythoncore.vcxproj (GH-11410)
https://github.com/python/cpython/commit/cba16b748c286261b5bc45e6ff3c26aea2373f43
History
Date User Action Args
2019-02-03 01:02:25steve.dowersetkeywords: patch, patch, patch, patch
assignee: steve.dower
status: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-02-03 00:46:14miss-islingtonsetnosy: + miss-islington
messages: + msg334781
2019-02-03 00:28:18steve.dowersetkeywords: patch, patch, patch, patch
versions: - Python 3.5, Python 3.6
2019-02-03 00:27:36miss-islingtonsetpull_requests: + pull_request11677
2019-02-03 00:27:31miss-islingtonsetpull_requests: + pull_request11676
2019-02-03 00:27:26miss-islingtonsetpull_requests: + pull_request11675
2019-01-08 01:27:21steve.dowersetnosy: + steve.dower
messages: + msg333194
2019-01-02 18:08:17python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request10799
2019-01-02 18:08:14python-devsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request10800
2019-01-02 18:08:12python-devsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request10798
2019-01-02 18:08:08python-devsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request10797
2019-01-02 18:05:51indygregcreate